| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::gapi::wip::draw::Rect Struct Reference
G-API Drawing and composition functionality » Drawing primitives

This structure represents a rectangle to draw. More...

`#include <opencv2/gapi/render/render.hpp>`

## Public Member Functions
| Rect (const cv::Rect &rect_, const cv::Scalar &color_, int thick_=1, int lt_=cv::LINE_8, int shift_=0)
| Rect constructor. More...

## Public Attributes
cv::Rect | rect
| Coordinates of the rectangle. More...
cv::Scalar | color
| The rectangle color or brightness (grayscale image) More...
int | thick
| The thickness of lines that make up the rectangle. Negative values, like FILLED, mean that the function has to draw a filled rectangle. More...
int | lt
| The type of the line. See LineTypes. More...
int | shift
| The number of fractional bits in the point coordinates. More...

## Detailed Description

This structure represents a rectangle to draw.

Parameters match cv::rectangle().

## Constructor & Destructor Documentation

## ◆ Rect()

cv::gapi::wip::draw::Rect::Rect | ( | const cv::Rect & | rect_,
|  | const cv::Scalar & | color_,
|  | int | thick_ = `1`,
|  | int | lt_ = `cv::LINE_8`,
|  | int | shift_ = `0`
| ) |  |
| inline

Rect constructor.

Parameters

  rect_ | Coordinates of the rectangle
  color_ | The bottom-left corner of the text string in the image
  thick_ | The thickness of lines that make up the rectangle. Negative values, like FILLED, mean that the function has to draw a filled rectangle
  lt_ | The type of the line. See LineTypes
  shift_ | The number of fractional bits in the point coordinates

## Member Data Documentation

## ◆ color

cv::Scalar cv::gapi::wip::draw::Rect::color

The rectangle color or brightness (grayscale image)

## ◆ lt

int cv::gapi::wip::draw::Rect::lt

The type of the line. See LineTypes.

## ◆ rect

cv::Rect cv::gapi::wip::draw::Rect::rect

Coordinates of the rectangle.

## ◆ shift

int cv::gapi::wip::draw::Rect::shift

The number of fractional bits in the point coordinates.

## ◆ thick

int cv::gapi::wip::draw::Rect::thick

The thickness of lines that make up the rectangle. Negative values, like FILLED, mean that the function has to draw a filled rectangle.

The documentation for this struct was generated from the following file:

- opencv2/gapi/render/render.hpp